Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CONV_FRAMEC.i File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | __TAO_UNBOUNDED_SEQUENCE_CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID_CI_
#define | _CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID_CI_
## Functions
CORBA::Boolean TAO_Export | operator<< (TAO_OutputCDR &, const CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId &)
CORBA::Boolean TAO_Export | operator>> (TAO_InputCDR &, CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CONV_FRAME::CodeSetComponent &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, CONV_FRAME::CodeSetComponent &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CONV_FRAME::CodeSetComponentInfo &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, CONV_FRAME::CodeSetComponentInfo &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CONV_FRAME::CodeSetContext &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, CONV_FRAME::CodeSetContext &_tao_aggregate)

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID_CI_

#define _CONV_FRAME_CODESETCOMPONENT__TAO_SEQ_CODESETID_CI_

## Function Documentation

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CONV_FRAME::CodeSetContext & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CONV_FRAME::CodeSetComponentInfo & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CONV_FRAME::CodeSetComponent & | _tao_aggregate
| ) |

CORBA::Boolean TAO_Export operator<< | ( | TAO_OutputCDR & | strm,
|  | const CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId & | _tao_sequence
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CONV_FRAME::CodeSetContext & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CONV_FRAME::CodeSetComponentInfo & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CONV_FRAME::CodeSetComponent & | _tao_aggregate
| ) |

CORBA::Boolean TAO_Export operator>> | ( | TAO_InputCDR & | strm,
|  | CONV_FRAME::CodeSetComponent::_tao_seq_CodeSetId & | _tao_sequence
| ) |